package com.xunhong.erp.turbo.api.biz.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum CostItemCostTypeEnum {
	/**
	 * 费用类型：1_包装材料；2_人工费用；3_其他费用；4_固定费用；5_工头垫付；6_产地垫付；5_工头垫付；6_产地垫付
	 */
	PACKAGING_MATERIALS(1, "包装材料"),
	HUMAN_COST(2, "人工费用"),
	OTHER_COST(3, "其他费用"),
	FIXED_COST(4, "固定费用"),
	WORKER_ADVANCE(5, "工头垫付"),
	PRODUCTION_ADVANCE(6, "产地垫付"),
	;

	@EnumValue
	private final int type;

	private final String message;
}
